rte_arp.h(3)

NAME
rte_arp.h

SYNOPSIS

#include <stdint.h>
#include <rte_ether.h>

  Functions

struct __rte_aligned (2) __rte_packed_begin rte_arp_ipv4
struct rte_mbuf * rte_net_make_rarp_packet (struct rte_mempool *mpool, const struct rte_ether_addr *mac)

Detailed Description

ARP-related defines

Definition in file rte_arp.h.

Function Documentation

  struct __rte_aligned (2 )
ARP header IPv4 payload.

ARP header. < sender hardware address

< sender IP address

< target hardware address

< target IP address

< format of hardware address

< format of protocol address

< length of hardware address

< length of protocol address

< ARP opcode (command)

Definition at line 1 of file rte_arp.h.

  struct rte_mbuf * rte_net_make_rarp_packet (struct rte_mempool * mpool, const struct rte_ether_addr * mac)
Make a RARP packet based on MAC addr.

Parameters
    mpool Pointer to the rte_mempool
    mac Pointer to the MAC addr

Returns

    •   RARP packet pointer on success, or NULL on error

Author

Generated automatically by Doxygen for DPDK from the source code.